diff publish.sh @ 33:f90bd2d1a12b

Converted revision reporting from SVN to hg.
author Oleg Oshmyan <chortos@inbox.lv>
date Mon, 29 Nov 2010 22:15:01 +0000
parents
children 5afefe51dcdc
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/publish.sh	Mon Nov 29 22:15:01 2010 +0000
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+VERSION=`hg summary | grep '^parent' | sed -En 's/^parent: [0-9]*:([0-9a-f]+) .*$/\1/p'`
+if [ -z "$VERSION" ]
+then
+	echo The current Mercurial changeset could not be determined. >&2
+	exit 1
+fi
+
+sed 's/$$REV$\$/hg '"$VERSION/" test-svn.py >test.py
+chmod +x test.py
\ No newline at end of file